package com.example.vaadinmap;

import org.vaadin.addon.leaflet.LMap;
import org.vaadin.addon.leaflet.LTileLayer;
import org.vaadin.addon.leaflet.control.LScale;
import org.vaadin.addon.leaflet.control.LZoom;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.vaadin.ui.VerticalLayout;

public class MapView extends CustomComponent implements View {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8407557208655015953L;
	
	public static final String NAME = "MapView";
	
    private LMap map = new LMap();
    private LTileLayer osmTiles = new LTileLayer(
            "http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png");

    public MapView() {
    	
    	Panel panel = new Panel("MEA Map Dashboard");

    	map.addControl(new LScale());
		map.addControl(new LZoom());
        map.addBaseLayer(osmTiles, "OSM");
        
        map.setCenter(40.5617, -111.9608);
		map.setZoomLevel(5);
		
	    map.setSizeFull();
  	
        osmTiles.setAttributionString("� OpenStreetMap Contributors");
       
        VerticalLayout layout = new VerticalLayout();
        layout.addComponent(map);
        layout.setComponentAlignment(map, Alignment.TOP_CENTER);
        layout.setSizeFull();
       
        panel.setContent(layout);
        panel.setSizeFull();
        
        setCompositionRoot(panel);

    }
    
	@Override
	public void enter(ViewChangeEvent event) {
		this.setVisible(true);
		
	}

}
